<?php

namespace Newproject\Site\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SiteTransformer extends TransformerAbstract
{
    public function transform(\Newproject\Site\Models\Site $site)
    {
        return [
            'id'                => $site->getRouteKey(),
            'key'               => [
                'public'    => $site->getPublicKey(),
                'route'     => $site->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('site/'.$site->getPublicKey()),
                'user'      => guard_url('site/site/'.$site->getRouteKey()),
            ], 
            'status'            => trans('app.'.$site->status),
            'created_at'        => format_date($site->created_at),
            'updated_at'        => format_date($site->updated_at),
        ];
    }
}